package {{ .package }}.common.mybatisplus;

import com.baomidou.mybatisplus.extension.ddl.IDdl;

import org.springframework.stereotype.Component;

import java.util.List;
import java.util.function.Consumer;

import javax.sql.DataSource;

@Component
public class EmptyDdl implements IDdl {
    public void execute() {
        // 空实现
    }

    @Override
    public void runScript(Consumer<DataSource> consumer) {}

    @Override
    public List<String> getSqlFiles() {
        return null;
    }
}
